commit 03c4dd24276bfb43f5f803fa7c8cc83076f1c485
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Fri Nov 14 12:11:10 2025 +0000

    LDAP: fix version report under dynamic build

diff --git a/src/src/lookups/ldap.c b/src/src/lookups/ldap.c
index 7d240309c..b73413a39 100644
--- a/src/src/lookups/ldap.c
+++ b/src/src/lookups/ldap.c
@@ -1576,7 +1576,7 @@ if (ldap_get_option(ld, LDAP_OPT_API_INFO, &info) == LDAP_OPT_SUCCESS)
   g = string_fmt_append(g, "                       Runtime %s %d\n",
       info.ldapai_vendor_name, info.ldapai_vendor_version);
 
-  for (char ** sp = info.ldapai_extensions; *sp; *sp++)
+  for (char ** sp = info.ldapai_extensions; *sp; sp++)
     ldap_memfree(*sp);
   ldap_memfree(info.ldapai_extensions);
   ldap_memfree(info.ldapai_vendor_name);

